﻿:root {
    --font-family: Raleway, Calibri Light, sans-serif;
    --font-family--secondary: neue-haas-unica, sans-serif;
    --font-icons: "FontAwesome";
    --font-size-h1: 40px;
    --font-size-h2: 34px;
    --font-size-h3: 28px;
    --font-size-small: 10px;
    --font-size-text: 18px;
    --font-size-text-medium: 22px;
    --font-size-text-large: 26px;
    --color-bg: #d2d1d1;
    --color-bg-accent: #4eadbd;
    --color-text: #525252;
    --color-text-light: #606060;
    --color-disabled: #e6e6e6;
    --color-link: #606060;
    --color-accent: #4eadbd;
    --color-accent-light: #aaf0f7;
    --color-border: #4eadbd;
    --color-white: #ffffff;
    --color-black: #000000;
    --margin-default: 20px;
    --padding-default: 20px;
    --padding-large: 40px;
    --DK-bg-color: #709893;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 0 0 100px;
    /* background-color: #d2d1d1; */
    background-color: #ffffff;
    font-family: Raleway, Calibri Light, sans-serif;
    font-size: 12px;
    line-height: 16px;
}

#logo {
    position: absolute;
    margin-left: 5%;
    margin-top: 0.35rem;
    width: 7rem;
    float: left;
}

#logo-centered {
    position: relative;
    margin-left: auto;
    margin-right: auto;
    width: 6rem;
    display: block;
    z-index: 1;
}

.content {
    padding-top: var(--padding-default);
    padding-bottom: var(--padding-large);
    margin-bottom: 144px; /* height footer */
}

@media (min-width: 768px) {
    .content {
        margin-bottom: 74px;
    }
}


.changePass {
    padding-top: 0px;
}

.content h1 {
    font-size: var(--font-size-h1);
    line-height: 44px;
    font-family: var(--font-family);
    color: var(--color-text);
    text-transform: uppercase;
}

.content h2 {
    font-weight: 900;
}

/* Footer styling */

footer {
    background-color: var(--color-accent);
    color: var(--color-black);
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    overflow: hidden;
    font-size: var(--font-size-text);
}

    footer a {
        margin: 0 10px 0 10px;
        color: #000000;
    }

    footer span {
        margin: 0 5px 0 10px;
    }

    footer a:hover {
        color: var(--color-black);
    }

    footer p {
        font-size: var(--font-size-text-medium);
        font-family: var(--font-family--secondary);
        font-weight: 300;
        text-transform: uppercase;
    }

    footer span {
        margin: 0 2px 0 10px;
    }

.footer-links {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    display: inline-block;
}

.footer-links-promo-mats {
    line-height: 13px;
    font-size: 0.75em;
}

.footer .zinc {
    font-size: 10px;
}

.tlogo {
    margin-top: -13px;
}

/* Utilities */

.text-justify {
    text-align: justify;
}

    .text-justify::after {
        content: '';
        width: 100%;
        display: inline-block;
    }

.shadow {
    box-shadow: 0 .2rem .3rem .1rem rgba(0, 0, 0, .30) !important
}

/* Hero header */
body:not(.login-page) header {
    overflow: hidden;
    height: 100px;
    margin: 0 auto;
    background-image: url('../images/hcp_header_bg.jpg');
    background-position: center center;
    background-repeat: no-repeat;
}

header div {
    margin-left: 50%;
    transform: translateX(-50%);
    width: 100%;
    height: 100%;
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
}

.unsupported-section {
    margin-bottom: 4rem;
}

.unsupported-badge {
    width: 10rem;
}

.unsupported-button {
    line-height: 4rem;
    vertical-align: middle;
}

.promomats {
    font-size: .7rem;
}

@media screen and (max-width:767px) {
    form {
        margin-bottom: 70px;
    }

    footer a {
        display: block;
    }

    .footer {
        width: 100%;
    }

    .footer-links li a {
        padding-bottom: 10px;
    }

    .changePassword {
        padding-bottom: 40px;
    }

    h1 {
        font-size: 32px !important;
    }

    header {
        height: 120px !important;
        max-height: 120px !important;
    }
}

@media screen and (max-width: 320px) {
    footer {
        font-size: var(--font-size-text-medium);
    }
}

/* custom styling */
@media screen and (min-width: 768px) {
    .modal-dialog {
        max-width: 750px;
    }

    body {
        font-size: 16px;
        line-height: 20px;
    }

    strong {
        font-size: 20px;
        line-height: 24px;
    }
}


/* Error page
-------------------------------------------------- */
#error-msg .bg {
    display: inline-block;
    position: relative;
}

#error-msg a {
    margin: 0.75em 0.75em 3px 3px;
    transform-origin: center;
    padding: 0.5em 2em;
    font-weight: bold;
    text-transform: uppercase;
}

    #error-msg a:hover {
        cursor: pointer;
    }

    #error-msg a span {
        opacity: 0.5;
        transition: opacity 0.1s ease-in-out;
    }

    #error-msg a:hover span {
        opacity: 1;
    }

@media (min-width: 1025px) {
    #error-msg a {
        margin: 1.25em 0.75em 3px 3px;
    }
}

@media (max-width: 991px) {
    #error-msg div img {
        margin-bottom: 2em;
    }
}
